Patches to use madwifi-ng with hostapd-0.4.6 and wpa_supplicant-0.4.6

Pavel Roskin proski at gnu.org
Wed Nov 9 21:25:40 EST 2005


Hi, Beat and Jouni!

On Tue, 2005-11-08 at 18:31 -0800, Jouni Malinen wrote:
> On Tue, Nov 08, 2005 at 08:42:24PM -0300, Beat Meier wrote:
> 
> > Why was wireless_copy.h added?
> 
> Because linux/wireless.h cannot be included in user space programs
> without major compatibility problems with libc header files. Another
> reason is in being able to build one binary that supports multiple WE
> versions.

That's a pretty good reason to have a copy.  I'm yet to see detailed
arguments against it (e.g. something doesn't work, and there is a way to
check it).

I suggest that the patches affecting the include files are dropped for
now.  I changed MadWifi tools to use iwlib.h yesterday, but there have
been some complaints (one was from somebody with glibc 2.1.x), and I'm
considering whether to revert that change.

> > We are trying to find the way so everything works together again with 
> > madwifi-ng.
> > 
> > Here are my patch proposel.
> > This are all against wpa_supplicant-0.4.6 and hostapd-0.4.6
> 
> Thanks. I'll take a closer look at this, but that may have to wait till
> Saturday.

Please check what happens with the compatibility with old MadWifi.  What
I would want to avoid is having broken leftovers of code to support old
MadWifi.  Either remove it or keep it working.

-- 
Regards,
Pavel Roskin




More information about the HostAP mailing list